/*-------------------------------------------------------------------------
 |                                                                         
 |             SAS SUPPLEMENTAL SYNTAX FILE FOR ICPSR 03088
 |           ALCOHOL AND DRUG SERVICES STUDY (ADSS), 1996-1999:
 |                            [UNITED STATES]
 |            (DATASET 0005: PHASE II EARLY DROPOUT ABSTRACT)
 |
 | This SAS program is provided for optional use with the SAS transport
 | version of this data file as distributed by ICPSR. The metadata
 | provided below are not stored in the SAS transport version of this data
 | collection.  Users need to use SAS PROC CIMPORT to import the SAS
 | transport file to a SAS data set on their system. This program can
 | then be used in conjunction with the SAS system data file.
 |
 | DATA:  begins a SAS data step and names an output SAS data set. Users
 | should replace "SAS-dataset" with their name for the SAS data set copied
 | from the SAS transport file. Users can add a SAS libname statement
 | and an output SAS data set name to make a permanent SAS data set.
 |
 | MISSING VALUE RECODES:  sets user-defined numeric missing values to
 | missing as interpreted by the SAS system. Only variables with
 | user-defined missing values are included in this section.
 |
 | If any variables have more than one missing value, they are assigned
 | to the standard missing value of a single period (.) in the statement
 | below. To maintain the original meaning of missing codes, users may want
 | to take advantage of the SAS missing values (the letters A-Z or an
 | underscore preceded by a period).
 |
 | An example of a standard missing value recode:
 |
 |   IF (RELATION = 98 OR RELATION = 99) THEN RELATION = .;
 |
 | The same example using special missing value recodes:
 |
 |    IF RELATION = 98 THEN RELATION = .A;
 |    IF RELATION = 99 THEN RELATION = .B;
 |
 | NOTE:  Users should modify this file to suit their specific needs.
 | The MISSING VALUE RECODES section has been commented out (i.e., '/*').
 | To make this section active in the program, users should remove the SAS
 | comment indicators from this section.
 |
 |------------------------------------------------------------------------*/

RUN;

* SAS DATA STEP;
DATA;
SET SAS-dataset ;


* USER-DEFINED MISSING VALUES RECODE TO SAS SYSMIS;

/*
   IF (CASEID <= -1) THEN CASEID = .;
   IF (CLTYPE <= -1) THEN CLTYPE = .;
   IF (COMIN <= -1) THEN COMIN = .;
   IF (A6 <= -1) THEN A6 = .;
   IF (A6A1 <= -1) THEN A6A1 = .;
   IF (A6A2 <= -1) THEN A6A2 = .;
   IF (A6A3 <= -1) THEN A6A3 = .;
   IF (A7 <= -1) THEN A7 = .;
   IF (A9 <= -1) THEN A9 = .;
   IF (A10 <= -1) THEN A10 = .;
   IF (A11 <= -1) THEN A11 = .;
   IF (A14 <= -1) THEN A14 = .;
   IF (A15 <= -1) THEN A15 = .;
   IF (A16 <= -1) THEN A16 = .;
   IF (A17 <= -1) THEN A17 = .;
   IF (A18 <= -1) THEN A18 = .;
   IF (A19 <= -1) THEN A19 = .;
   IF (A20 <= -1) THEN A20 = .;
   IF (A21 <= -1) THEN A21 = .;
   IF (A22 <= -1) THEN A22 = .;
   IF (A23 <= -1) THEN A23 = .;
   IF (A24 <= -1) THEN A24 = .;
   IF (A25 <= -1) THEN A25 = .;
   IF (A26 <= -1) THEN A26 = .;
   IF (A27 <= -1) THEN A27 = .;
   IF (A28 <= -1) THEN A28 = .;
   IF (A29 <= -1) THEN A29 = .;
   IF (A30A <= -1) THEN A30A = .;
   IF (A30B <= -1) THEN A30B = .;
   IF (A30C <= -1) THEN A30C = .;
   IF (A30D <= -1) THEN A30D = .;
   IF (A30E <= -1) THEN A30E = .;
   IF (A30F <= -1) THEN A30F = .;
   IF (A30G <= -1) THEN A30G = .;
   IF (A30H <= -1) THEN A30H = .;
   IF (A30I <= -1) THEN A30I = .;
   IF (A30J <= -1) THEN A30J = .;
   IF (A31 <= -1) THEN A31 = .;
   IF (A32 <= -1) THEN A32 = .;
   IF (A33A <= -1) THEN A33A = .;
   IF (A33B <= -1) THEN A33B = .;
   IF (A33C <= -1) THEN A33C = .;
   IF (A33D <= -1) THEN A33D = .;
   IF (A33E <= -1) THEN A33E = .;
   IF (A33F <= -1) THEN A33F = .;
   IF (A34 <= -1) THEN A34 = .;
   IF (A35 <= -1) THEN A35 = .;
   IF (A36 <= -1) THEN A36 = .;
   IF (A37 <= -1) THEN A37 = .;
   IF (A38 <= -1) THEN A38 = .;
   IF (A39CN <= -1) THEN A39CN = .;
   IF (A39A <= -1) THEN A39A = .;
   IF (A39B <= -1) THEN A39B = .;
   IF (A39C <= -1) THEN A39C = .;
   IF (A39D <= -1) THEN A39D = .;
   IF (A39E <= -1) THEN A39E = .;
   IF (A40EU <= -1) THEN A40EU = .;
   IF (A40LU <= -1) THEN A40LU = .;
   IF (A40AGE <= -1) THEN A40AGE = .;
   IF (A41EU <= -1) THEN A41EU = .;
   IF (A41LU <= -1) THEN A41LU = .;
   IF (A41AGE <= -1) THEN A41AGE = .;
   IF (A42EU <= -1) THEN A42EU = .;
   IF (A42LU <= -1) THEN A42LU = .;
   IF (A42AGE <= -1) THEN A42AGE = .;
   IF (A43EU <= -1) THEN A43EU = .;
   IF (A43LU <= -1) THEN A43LU = .;
   IF (A43AGE <= -1) THEN A43AGE = .;
   IF (A44EU <= -1) THEN A44EU = .;
   IF (A44LU <= -1) THEN A44LU = .;
   IF (A44AGE <= -1) THEN A44AGE = .;
   IF (A45EU <= -1) THEN A45EU = .;
   IF (A45LU <= -1) THEN A45LU = .;
   IF (A45AGE <= -1) THEN A45AGE = .;
   IF (A46EU <= -1) THEN A46EU = .;
   IF (A46LU <= -1) THEN A46LU = .;
   IF (A46AGE <= -1) THEN A46AGE = .;
   IF (A47EU <= -1) THEN A47EU = .;
   IF (A47LU <= -1) THEN A47LU = .;
   IF (A47AGE <= -1) THEN A47AGE = .;
   IF (A48EU <= -1) THEN A48EU = .;
   IF (A48LU <= -1) THEN A48LU = .;
   IF (A48AGE <= -1) THEN A48AGE = .;
   IF (A49EU <= -1) THEN A49EU = .;
   IF (A49LU <= -1) THEN A49LU = .;
   IF (A49AGE <= -1) THEN A49AGE = .;
   IF (A50EU <= -1) THEN A50EU = .;
   IF (A50LU <= -1) THEN A50LU = .;
   IF (A50AGE <= -1) THEN A50AGE = .;
   IF (A51EU <= -1) THEN A51EU = .;
   IF (A51LU <= -1) THEN A51LU = .;
   IF (A51AGE <= -1) THEN A51AGE = .;
   IF (A52EU <= -1) THEN A52EU = .;
   IF (A52OTH <= -1) THEN A52OTH = .;
   IF (A52LU <= -1) THEN A52LU = .;
   IF (A52AGE <= -1) THEN A52AGE = .;
   IF (A53EU <= -1) THEN A53EU = .;
   IF (A53LU <= -1) THEN A53LU = .;
   IF (A53AGE <= -1) THEN A53AGE = .;
   IF (A54EU <= -1) THEN A54EU = .;
   IF (A54LU <= -1) THEN A54LU = .;
   IF (A54AGE <= -1) THEN A54AGE = .;
   IF (A55EU <= -1) THEN A55EU = .;
   IF (A55LU <= -1) THEN A55LU = .;
   IF (A55AGE <= -1) THEN A55AGE = .;
   IF (A56EU <= -1) THEN A56EU = .;
   IF (A56LU <= -1) THEN A56LU = .;
   IF (A56AGE <= -1) THEN A56AGE = .;
   IF (A57 <= -1) THEN A57 = .;
   IF (A58A <= -1) THEN A58A = .;
   IF (A58B <= -1) THEN A58B = .;
   IF (A58C <= -1) THEN A58C = .;
   IF (A59 <= -1) THEN A59 = .;
   IF (A60A <= -1) THEN A60A = .;
   IF (A60B <= -1) THEN A60B = .;
   IF (A60C <= -1) THEN A60C = .;
   IF (A61 <= -1) THEN A61 = .;
   IF (A62FOP <= -1) THEN A62FOP = .;
   IF (A62FCO <= -1) THEN A62FCO = .;
   IF (A62FTHC <= -1) THEN A62FTHC = .;
   IF (A62FOTH <= -1) THEN A62FOTH = .;
   IF (A62LOP <= -1) THEN A62LOP = .;
   IF (A62LCO <= -1) THEN A62LCO = .;
   IF (A62LTHC <= -1) THEN A62LTHC = .;
   IF (A62LOTH <= -1) THEN A62LOTH = .;
   IF (A63 <= -1) THEN A63 = .;
   IF (A64 <= -1) THEN A64 = .;
   IF (A65 <= -1) THEN A65 = .;
   IF (A65AR <= -1) THEN A65AR = .;
   IF (A65AF <= -1) THEN A65AF = .;
   IF (A65AT <= -1) THEN A65AT = .;
   IF (A65AD <= -1) THEN A65AD = .;
   IF (A65BR <= -1) THEN A65BR = .;
   IF (A65BF <= -1) THEN A65BF = .;
   IF (A65BT <= -1) THEN A65BT = .;
   IF (A65BD <= -1) THEN A65BD = .;
   IF (A65CR <= -1) THEN A65CR = .;
   IF (A65CF <= -1) THEN A65CF = .;
   IF (A65CT <= -1) THEN A65CT = .;
   IF (A65CD <= -1) THEN A65CD = .;
   IF (A65DR <= -1) THEN A65DR = .;
   IF (A65DF <= -1) THEN A65DF = .;
   IF (A65DT <= -1) THEN A65DT = .;
   IF (A65DD <= -1) THEN A65DD = .;
   IF (A65ER <= -1) THEN A65ER = .;
   IF (A65EF <= -1) THEN A65EF = .;
   IF (A65ET <= -1) THEN A65ET = .;
   IF (A65ED <= -1) THEN A65ED = .;
   IF (A65FR <= -1) THEN A65FR = .;
   IF (A65FF <= -1) THEN A65FF = .;
   IF (A65FT <= -1) THEN A65FT = .;
   IF (A65FD <= -1) THEN A65FD = .;
   IF (A65GR <= -1) THEN A65GR = .;
   IF (A65GF <= -1) THEN A65GF = .;
   IF (A65GT <= -1) THEN A65GT = .;
   IF (A65GD <= -1) THEN A65GD = .;
   IF (A65HR <= -1) THEN A65HR = .;
   IF (A65HF <= -1) THEN A65HF = .;
   IF (A65HT <= -1) THEN A65HT = .;
   IF (A65HD <= -1) THEN A65HD = .;
   IF (A65IR <= -1) THEN A65IR = .;
   IF (A65IF <= -1) THEN A65IF = .;
   IF (A65IT <= -1) THEN A65IT = .;
   IF (A65ID <= -1) THEN A65ID = .;
   IF (A65JR <= -1) THEN A65JR = .;
   IF (A65JF <= -1) THEN A65JF = .;
   IF (A65JT <= -1) THEN A65JT = .;
   IF (A65JD <= -1) THEN A65JD = .;
   IF (A66 <= -1) THEN A66 = .;
   IF (A67A <= -1) THEN A67A = .;
   IF (A67AN <= -1) THEN A67AN = .;
   IF (A67B <= -1) THEN A67B = .;
   IF (A67BN <= -1) THEN A67BN = .;
   IF (A67C <= -1) THEN A67C = .;
   IF (A67CN <= -1) THEN A67CN = .;
   IF (A67D <= -1) THEN A67D = .;
   IF (A67DN <= -1) THEN A67DN = .;
   IF (A67E <= -1) THEN A67E = .;
   IF (A67F <= -1) THEN A67F = .;
   IF (A67G <= -1) THEN A67G = .;
   IF (A67H <= -1) THEN A67H = .;
   IF (A67I <= -1) THEN A67I = .;
   IF (A67J <= -1) THEN A67J = .;
   IF (A67K <= -1) THEN A67K = .;
   IF (A67L <= -1) THEN A67L = .;
   IF (A67M <= -1) THEN A67M = .;
   IF (A67N <= -1) THEN A67N = .;
   IF (A67O <= -1) THEN A67O = .;
   IF (A67P <= -1) THEN A67P = .;
   IF (A67Q <= -1) THEN A67Q = .;
   IF (A67R <= -1) THEN A67R = .;
   IF (A67S <= -1) THEN A67S = .;
   IF (A67T <= -1) THEN A67T = .;
   IF (A68 <= -1) THEN A68 = .;
   IF (A68A1 <= -1) THEN A68A1 = .;
   IF (A68A2 <= -1) THEN A68A2 = .;
   IF (A68A3 <= -1) THEN A68A3 = .;
   IF (A69 <= -1) THEN A69 = .;
   IF (A69BTD <= -1) THEN A69BTD = .;
   IF (A69CTD <= -1) THEN A69CTD = .;
   IF (A69DTD <= -1) THEN A69DTD = .;
   IF (A70 <= -1) THEN A70 = .;
   IF (A73 <= -1) THEN A73 = .;
   IF (A74CN <= -1) THEN A74CN = .;
   IF (A74A <= -1) THEN A74A = .;
   IF (A74B <= -1) THEN A74B = .;
   IF (A74C <= -1) THEN A74C = .;
   IF (A74D <= -1) THEN A74D = .;
   IF (A74E <= -1) THEN A74E = .;
   IF (A75 <= -1) THEN A75 = .;
   IF (A75A <= -1) THEN A75A = .;
   IF (A76 <= -1) THEN A76 = .;
   IF (A77 <= -1) THEN A77 = .;
   IF (A77A <= -1) THEN A77A = .;
   IF (A77B <= -1) THEN A77B = .;
   IF (A77C <= -1) THEN A77C = .;
   IF (A77D <= -1) THEN A77D = .;
   IF (A77E <= -1) THEN A77E = .;
   IF (A77F <= -1) THEN A77F = .;
   IF (A77G <= -1) THEN A77G = .;
   IF (A78 <= -1) THEN A78 = .;
   IF (A79 <= -1) THEN A79 = .;
   IF (A79U <= -1) THEN A79U = .;
   IF (A79A <= -1) THEN A79A = .;
   IF (A80 <= -1) THEN A80 = .;
   IF (A80B <= -1) THEN A80B = .;
   IF (A81 <= -1) THEN A81 = .;
   IF (A81PC <= -1) THEN A81PC = .;
   IF (A82 <= -1) THEN A82 = .;
   IF (A55OTH <= -1) THEN A55OTH = .;
   IF (A56OTH <= -1) THEN A56OTH = .;
   IF (AGE_CALC <= -1) THEN AGE_CALC = .;
   IF (LOS <= -1) THEN LOS = .;
   IF (TRT_DUR <= -1) THEN TRT_DUR = .;
   IF (ALCOHOL <= -1) THEN ALCOHOL = .;
   IF (DRUG <= -1) THEN DRUG = .;
   IF (DRUG_ALC <= -1) THEN DRUG_ALC = .;
   IF (ABSSMPTY <= -1) THEN ABSSMPTY = .;
   IF (QFSTRAT <= -1) THEN QFSTRAT = .;
   IF (GROUP <= -1) THEN GROUP = .;
   IF (STUDYIND <= -1) THEN STUDYIND = .;
   IF (FIELDPSU <= -1) THEN FIELDPSU = .;
   IF (PSUTYPE2 <= -1) THEN PSUTYPE2 = .;
   IF (CENREG <= -1) THEN CENREG = .;
   IF (OWN <= -1) THEN OWN = .;
   IF (FACTYPE <= -1) THEN FACTYPE = .;
   IF (TXCARE <= -1) THEN TXCARE = .;
   IF (VST_PSU <= -1) THEN VST_PSU = .;
   IF (VUN_PSU <= -1) THEN VUN_PSU = .;
   IF (A69ATD <= -1) THEN A69ATD = .;
*/

RUN ;
